
/* Miscellaneous functions shared with main.cc */

#include "fifo.tmpl"

extern void QueueRing(Fifo<buflen> *ringbuf, char *data, int len);
/* Note that the gap ranges from 0 to negative infinity */
int FlushRing(Fifo<buflen> *ringbuf, int gap);

extern int MailLock(void);
extern void MailUnlock(int locked);
extern int CheckLock(const char *path);
